import { SettingRepository } from '@app/domain/settings/setting.repository';
import { ThemeType } from '@app/domain/settings/setting.model';

export class GetDefaultSystemThemeUsecase {
  constructor(private settingRepository: SettingRepository) {}

  execute(): ThemeType {
    return this.settingRepository.getDefaultSystemTheme();
  }
}
